Redmine - Defect #10642

Nested textile ol/ul lists generate invalid HTML
2012-04-11 12:43 - Hansen Ler

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Projects Estimated time: 0.00 hour
Target version: 1.4.1

Resolution: Fixed Affected version: 1.3.2
Description

My Project Description is as follows:

To track issue:

# Click on the *New Issue* link on top.

# Specify the *Tracker* as _Bug_ or _Feature_

** _Bug_ 1is a problem to fix.

** _Feature_ i1s new enhancement to the version

# Enter _Subject_ and _Description_

** For hyperlink reference to existing feature/bug, you can use the *#XX*
e.g. Bug #100 will create a link to the bug.

If I've got more than one Projects in Projects view, the next Project item (e.g. My Project 2) in the list will break.

See attached image.
To track issue:

1. Click on the New Issue link on top.

2. Specify the Tracker as Bug or Featurs
Associated revisions

Revision 9430 - 2012-04-18 14:00 - Jean-Philippe Lang
Fixed that textile nested lists are not properly closed in output (#10642).

History

#1 - 2012-04-11 14:57 - Etienne Massip
- Status changed from New to Confirmed

- Target version set to Candidate for next minor release
Even lost the end of the text.

#2 - 2012-04-13 19:13 - Jean-Philippe Lang
- File projects.png added

Can't reproduce with current trunk. Tested with default and classic themes, using FF11.0, Chrome 18 or IE9.

.|
Projects

Description
This is my Project Description...

To track issue:
1. Click on the New Issue link on top.
2. Specify the Tracker as Bug or Feature
» Bug i= a problem to fix.
» Festurs is new enhancement to the version

3. Enter Subject and Description...

foo
Project description...

#3 - 2012-04-14 02:06 - Hansen Ler

Maybe there's some fix in between? Let me test when there's new release...
that's super fast response from jean! Cheers!

#4 - 2012-04-14 09:30 - Etienne Massip
No, | reproduced with trunk but with only a part of the text you posted.

#5 - 2012-04-14 09:38 - Jean-Philippe Lang

Etienne Massip wrote:

No, | reproduced with trunk but with only a part of the text you posted.

Which part exactly?

#6 - 2012-04-14 09:40 - Etienne Massip
Well, the last part | think but I'll check again.

#7 - 2012-04-14 09:43 - Jean-Philippe Lang

- Description updated
Got it.

#8 - 2012-04-14 10:01 - Jean-Philippe Lang
This is a textile issue. This text generates invalid html (closing tags at the end are in reverse order).

Here is a patch that fixes it:

Index: lib/redcloth3.rb

—-—— lib/redcloth3.rb (revision 9405)
+++ lib/redcloth3.rb (working copy)
@@ -585,9 +585,10 @@
last_line = line_id
end
if line_id - last_line > 1 or line_id == lines.length - 1
= depth.delete_if do |v|
+ depth.reverse.each do |v]|
lines[last_line] << "</li>\n\t</#{ 1T( v ) }1>"
end
+ depth = []
end
end
lines.join( "\n" )

#9 - 2012-04-14 10:05 - Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 1.4.1

#10 - 2012-04-18 14:01 - Jean-Philippe Lang

- Subject changed from If your Project Description uses bullets, viewing Projects page will cause the next project in list to Break to Nested textile ol/ul
lists genrate invalid HTML

- Status changed from Confirmed to Resolved
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r9430.

#11 - 2012-04-18 19:03 - Etienne Massip
- Subject changed from Nested textile ol/ul lists genrate invalid HTML to Nested textile ol/ul lists generate invalid HTML

Typo.

#12 - 2012-04-18 19:41 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
